# Use the current Long Term Support (LTS) version of Node.js
FROM node:16

# Copy the signalling server source code from the build context
COPY ./  /opt/media-server

# Install the dependencies for the signalling server
WORKDIR /opt/media-server
RUN npm install --registry=https://registry.npmmirror.com

EXPOSE 28000



# Set the signalling server as the container's entrypoint
CMD ["sh","/opt/media-server/entrypoint.sh"]
